------------------------------------------------------------------------------
--
-- (C) Copyright 2022 Micro Focus or one of its affiliates.
-- All Rights Reserved.
--
--  Workfile:   umc.sch
--  Contents:   eDirectory Schema for Unified Management Console
--
------------------------------------------------------------------------------
--
-- Common acronyms used in this schema.  Please keep in alphabetical order.
--
-- UMC - Unified Management Console
--
------------------------------------------------------------------------------

UMCSchemaExtensions DEFINITIONS ::=
BEGIN

------------------------------------------------------------------------------
-- UMC Attributes
------------------------------------------------------------------------------

"umcJwkUrl" ATTRIBUTE ::=
{
   SyntaxID    SYN_CE_STRING,
   Flags     {DS_PUBLIC_READ},
   ASN1ObjID {2 16 840 1 113719 1 196 6 750}
}

"umcOspJwkUrl" ATTRIBUTE ::=
{
   SyntaxID    SYN_CE_STRING,
   Flags     {DS_PUBLIC_READ},
   ASN1ObjID {2 16 840 1 113719 1 196 6 751}
}

------------------------------------------------------------------------------
-- UMC Classes
------------------------------------------------------------------------------

"umcConfig" OBJECT-CLASS ::=
{
   Operation   ADD,
   Flags       {DS_EFFECTIVE_CLASS},
   SubClassOf  {"TOP"},
   ContainedBy {"Organization", "Organizational Unit", "domain", "SAS:Security"},
   NamedBy     {"CN"},
   MayContain  {"umcJwkUrl", "umcOspJwkUrl", "CN", "description"},
   ASN1ObjID   {2 16 840 1 113719 1 196 6 752}
}

END
