BEGIN;
CREATE TABLE IF NOT EXISTS "report" () WITH (OIDS=FALSE);

DO $$ BEGIN
    CREATE TYPE report_type AS ENUM ('cluster');
EXCEPTION
    WHEN duplicate_object THEN null;
END $$;
-- add new types using the below command
-- ALTER TYPE report_type ADD VALUE IF NOT EXISTS 'new_type1' AFTER 'cluster';
-- ALTER TYPE report_type ADD VALUE IF NOT EXISTS 'new_type2' AFTER 'new_type1'; -- each new type should be added AFTER the last type

DO $$ BEGIN
    CREATE TYPE report_status AS ENUM ('in_progress','available', 'failed');
EXCEPTION
    WHEN duplicate_object THEN null;
END $$;

ALTER TABLE "report" ADD COLUMN IF NOT EXISTS "id" uuid NOT NULL DEFAULT gen_random_uuid ();

ALTER TABLE "report" ADD COLUMN IF NOT EXISTS "type" report_type NOT NULL;

ALTER TABLE "report" ADD COLUMN IF NOT EXISTS "status" report_status NOT NULL DEFAULT 'in_progress';

ALTER TABLE "report" ADD COLUMN IF NOT EXISTS "entity_name" varchar NOT NULL;

ALTER TABLE "report" ADD COLUMN IF NOT EXISTS "response" json DEFAULT NULL;

ALTER TABLE "report" ADD COLUMN IF NOT EXISTS "requested_at" timestamp NOT NULL DEFAULT NOW();

ALTER TABLE "report" ADD COLUMN IF NOT EXISTS "created_at" timestamp DEFAULT NULL;

COMMIT;

ALTER TABLE "report" ADD CONSTRAINT "report_id"  PRIMARY KEY ("id") NOT DEFERRABLE INITIALLY IMMEDIATE;